# frozen_string_literal: true

require_relative "lib/masterdata/version"

Gem::Specification.new do |spec|
  spec.name          = "masterdata"
  spec.version       = Masterdata::VERSION
  spec.authors       = ["sairam6267"]
  spec.email         = ["sairam160305@gmail.com"]

  spec.summary       = "https://github.com/sairam6267/masterdata"
  spec.description   = "masterdata  mostly used for validations of countrycodes, country, states, countrydailcode, contactnumbers, pincodes and emailaddress which can be helpful for data preprocessing. Along with this something special is that gaining the information from country/countrycodes/countrydailcodes.Lets look the more about the functions of how to master the data from a csv table."
  spec.homepage      = "https://github.com/sairam6267/masterdata"
  spec.license       = "MIT"
  spec.required_ruby_version = ">= 2.4.0"

  

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = "https://github.com/sairam6267/masterdata"
  spec.metadata["changelog_uri"] = "https://github.com/sairam6267/masterdata"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{\A(?:test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{\Aexe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  # Uncomment to register a new dependency of your gem
  # spec.add_dependency "example-gem", "~> 1.0"

  # For more information and examples about making a new gem, checkout our
  # guide at: https://bundler.io/guides/creating_gem.html
end
